GCLOUD_APP_INSTANCES_SCP(1)

NAME

gcloud app instances scp - SCP from or to the VM of an App Engine Flexible instance

SYNOPSIS

gcloud app instances scp [INSTANCE:]SRC [[INSTANCE:]SRC ...] [INSTANCE:]DEST --service=SERVICE --version=VERSION [--compress] [--recurse] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud app instances scp lets you remotely copy files to or from an App Engine Flexible instance. gcloud app instances scp resolves the instance's IP address and pre-populates the VM with a public key managed by gcloud. If the gcloud managed key pair does not exist, it is generated the first time an SSH command is run, which may prompt you for a passphrase for the private key encryption. All SSH commands require the OpenSSH client suite to be installed on Linux and Mac OS X. On Windows, the Cloud SDK comes with a bundled PuTTY suite instead, so it has no external dependencies.

POSITIONAL ARGUMENTS

    [INSTANCE:]SRC [[INSTANCE:]SRC ...]
        Specifies the files to copy.

    [INSTANCE:]DEST
        Specifies a destination for the source files.

REQUIRED FLAGS

    --service=SERVICE
        The service ID.

    --version=VERSION
        The version ID.

OPTIONAL FLAGS

    --compress
        Enable compression.

    --recurse
        Upload directories recursively.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To copy one file from a remote instance to the local machine, run:
    $ gcloud app instances scp --service s1 --version v1 \
      i1:remote_file local_file
To copy several local files to a remote instance, run:
    $ gcloud app instances scp --service s1 --version v1 local_1 \
      local_1 i1:remote_dir
To use recursive copy, run:
    $ gcloud app instances scp --service s1 --version v1 \
      --recurse local_dir i1:remote_dir